

.main-container{
    height: calc(100% - 76px);
    display: grid;
    grid-template-columns: min-content 1fr;
    .sidenav{
        background: #f5f5f5;
        border-right: 1px solid #DADBE2;
        width: 200px;
        transition: all 0.25s ease;
    }
    .main{
        .banner-section{
            background-color: #3a5c44;
            height: 100vh;
            max-height: 250px;
            padding: 40px 50px;
            overflow: hidden;
            position: relative;
            display: none;
            h2{
                color: #f5f5f5;
                font-size: 30px;
            }
            &::after{
                content: "";
                position: absolute;
                width: 50px;
                height: 70vh;
                right: calc(20% + 80px);
                top: 50%;
                background: #FFFFFF33;
                transform: translateY(-50%) skew(-40deg, 20deg);
                box-shadow: 2px 4px 15px rgba(0,0,0,0.05);
            }
            &::before{
                content: "";
                position: absolute;
                width: 50px;
                height: 70vh;
                right: 20%;
                top: 50%;
                background: #FFFFFF33;
                transform: translateY(-50%) skew(-40deg, 20deg);
                box-shadow: 2px 4px 15px rgba(0,0,0,0.05);
            }
        }
        &:has(.emp-container){
            .banner-section{
                display: block;
            }
        }
    }
    &.active{
        grid-template-columns: 1fr;
        .sidenav{
            display: none;
        }
    }
}